Name: libpciaccess
Version: 0.10.5
Release: alt2
Serial: 1
Summary: X.org libpciaccess library
License: MIT/X11
Group: System/Libraries
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-util-macros zlib-devel

%description
Library providing generic access to the PCI bus and devices.

%package devel
Summary: The pciaccess Library and Header Files
Group: Development/C
Requires: %name = %version-%release

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-pciids-path=%_datadir/hwdatabase \
	--with-zlib \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%files
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Sat Nov 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.5-alt2
- removed obsolete %%post_ldconfig/%%postun_ldconfig calls

* Fri Oct 31 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.5-alt1
- 0.10.5

* Sun Oct 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.4-alt2
- disable write combine support (close #17623)

* Sat Oct 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.4-alt1
- 0.10.4

* Wed Jun 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.3-alt1
- 0.10.3

* Thu May 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.2-alt1
- 0.10.2

* Wed May 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.1-alt1
- 0.10.1

* Fri Apr 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10-alt2
- Fix reads from "0"-sized ROMs
- Fix function prototypes for C++

* Fri Mar 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10-alt1
- 0.10 release

* Thu Nov 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.10.0-alt2
- GIT snapshot 2007-10-23 (e392082abb5696c8837224da86cc0af4f21d7010)

* Fri Sep 07 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.10.0-alt1
- 0.10.0

* Tue Aug 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Sat Mar 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.8.0-alt1
- initial release
